Bug 96540 - Calc crashes with this file on dragging and dropping a selection to a different sheet
Summary: Calc crashes with this file on dragging and dropping a selection to a differe...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: All All
: high major
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.5
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2015-12-16 14:30 UTC by pramathesh.ambasta
Modified: 2016-10-25 18:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Data from a Government website (54.21 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-12-16 14:30 UTC, pramathesh.ambasta
Details
gdbtrace.log of crash (746 bytes, application/download)
2015-12-17 05:26 UTC, pramathesh.ambasta
Details
debug kb.txt (7.00 KB, text/plain)
2016-05-23 15:34 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pramathesh.ambasta 2015-12-16 14:30:49 UTC
Created attachment 121345 [details]
Data from a Government website

Working on attached file which has data imported from a website table.

Trying to switch tabs results in a crash.

Selecting some cells for copying and then switching tabs to carry out the copy also causes crash
Comment 1 raal 2015-12-16 16:39:13 UTC
I can not confirm with Verze: 5.0.3.2, win7. No crash when switching tabs or copy data.
If possible, please follow the instructions provided at this link < https://wiki.documentfoundation.org/QA/BugReport/Debug_Information#GNU.2FLinux >. and submit a backtrace. That way a developer can look into the underlying reason of the crash.
Comment 2 pramathesh.ambasta 2015-12-17 05:26:10 UTC
Created attachment 121358 [details]
gdbtrace.log of crash
Comment 3 raal 2016-01-11 22:11:12 UTC
No crash, Version: 5.2.0.0.alpha0+
Build ID: 86338fbb94324ede329e1d232eeaf70f2fde696e
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-01-08_00:45:19
Comment 4 Timur 2016-01-12 16:31:08 UTC
raal, can you test with 5.0.2.2 on Linux?
pramathesh, can you test with master version from http://dev-builds.libreoffice.org/daily/master/ ?
Comment 5 Luke Picciau 2016-01-13 09:57:46 UTC
When I tried to open the file calc hung for about 20 seconds and the window went dark gray showing it was unresponsive a few times but in the end the file did open. Took way longer then a file of that size should take to open.


LO Version: 5.0.3.2
Build ID: 1:5.0.3~rc2-0ubuntu1
Locale: en-AU (en_AU.UTF-8)
OS: Ubuntu 15.10
Comment 6 pramathesh.ambasta 2016-01-15 13:24:50 UTC
Ran calc with strace and opened another file. Selected a range of cells for copying and it crashed.

Here is the strace terminal output:

strace soffice --calc
execve("/usr/bin/soffice", ["soffice", "--calc"], [/* 57 vars */]) = 0
brk(0)                                  = 0x5638f7ae5000
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fdbd73d3000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=199939, ...}) = 0
mmap(NULL, 199939, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7fdbd73a2000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libc.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\v\2\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1869392, ...}) = 0
mmap(NULL, 3972864, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7fdbd6de8000
mprotect(0x7fdbd6fa8000, 2097152, PROT_NONE) = 0
mmap(0x7fdbd71a8000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1c0000) = 0x7fdbd71a8000
mmap(0x7fdbd71ae000, 16128, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7fdbd71ae000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fdbd73a1000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fdbd73a0000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fdbd739f000
arch_prctl(ARCH_SET_FS, 0x7fdbd73a0700) = 0
mprotect(0x7fdbd71a8000, 16384, PROT_READ) = 0
mprotect(0x5638f5e37000, 8192, PROT_READ) = 0
mprotect(0x7fdbd73d5000, 4096, PROT_READ) = 0
munmap(0x7fdbd73a2000, 199939)          = 0
getuid()                                = 1000
getgid()                                = 1000
getpid()                                = 22202
rt_sigaction(SIGCHLD, {0x5638f5c2e030, ~[RTMIN RT_1], SA_RESTORER, 0x7fdbd6e1d2f0}, NULL, 8) = 0
geteuid()                               = 1000
brk(0)                                  = 0x5638f7ae5000
brk(0x5638f7b06000)                     = 0x5638f7b06000
getppid()                               = 22199
stat("/home/pramathesh", {st_mode=S_IFDIR|0755, st_size=12288, ...}) = 0
stat(".", {st_mode=S_IFDIR|0755, st_size=12288, ...}) = 0
open("/usr/bin/soffice", O_RDONLY)      = 3
fcntl(3, F_DUPFD, 10)                   = 10
close(3)                                = 0
fcntl(10, F_SETFD, FD_CLOEXEC)          = 0
geteuid()                               = 1000
getegid()                               = 1000
rt_sigaction(SIGINT, NULL, {SIG_DFL, [], 0}, 8) = 0
rt_sigaction(SIGINT, {0x5638f5c2e030, ~[RTMIN RT_1], SA_RESTORER, 0x7fdbd6e1d2f0}, NULL, 8) = 0
rt_sigaction(SIGQUIT, NULL, {SIG_DFL, [], 0}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL, ~[RTMIN RT_1], SA_RESTORER, 0x7fdbd6e1d2f0}, NULL, 8) = 0
rt_sigaction(SIGTERM, NULL, {SIG_DFL, [], 0}, 8) = 0
rt_sigaction(SIGTERM, {SIG_DFL, ~[RTMIN RT_1], SA_RESTORER, 0x7fdbd6e1d2f0}, NULL, 8) = 0
read(10, "#!/bin/sh\n#\n# This file is part "..., 8192) = 5608
pipe([3, 4])                            = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7fdbd73a09d0) = 22203
close(4)                                = 0
read(3, "/home/pramathesh\n", 128)      = 17
read(3, "", 128)                        = 0
--- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=22203, si_status=0, si_utime=0, si_stime=0} ---
rt_sigreturn()                          = 0
close(3)                                = 0
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0, NULL) = 22203
lstat("/usr/bin/soffice", {st_mode=S_IFLNK|0777, st_size=34, ...}) = 0
pipe([3, 4])                            = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7fdbd73a09d0) = 22204
close(4)                                = 0
read(3, "/usr/bin\n", 128)              = 9
--- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=22204, si_status=0, si_utime=0, si_stime=0} ---
rt_sigreturn()                          = 9
read(3, "", 128)                        = 0
close(3)                                = 0
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0, NULL) = 22204
chdir("/usr/bin")                       = 0
pipe([3, 4])                            = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7fdbd73a09d0) = 22205
close(4)                                = 0
read(3, "soffice\n", 128)               = 8
read(3, "", 128)                        = 0
--- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=22205, si_status=0, si_utime=0, si_stime=0} ---
rt_sigreturn()                          = 0
close(3)                                = 0
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0, NULL) = 22205
pipe([3, 4])                            = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7fdbd73a09d0) = 22206
close(4)                                = 0
read(3, "../lib/libreoffice/program/soffi"..., 128) = 35
read(3, "", 128)                        = 0
--- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=22206, si_status=0, si_utime=0, si_stime=0} ---
rt_sigreturn()                          = 0
close(3)                                = 0
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0, NULL) = 22206
lstat("../lib/libreoffice/program/soffice", {st_mode=S_IFREG|0755, st_size=5608, ...}) = 0
pipe([3, 4])                            = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7fdbd73a09d0) = 22209
close(4)                                = 0
read(3, "../lib/libreoffice/program\n", 128) = 27
read(3, "", 128)                        = 0
--- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=22209, si_status=0, si_utime=0, si_stime=0} ---
rt_sigreturn()                          = 0
close(3)                                = 0
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0, NULL) = 22209
chdir("/usr/lib/libreoffice/program")   = 0
pipe([3, 4])                            = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7fdbd73a09d0) = 22210
close(4)                                = 0
read(3, "/usr/lib/libreoffice/program\n", 128) = 29
--- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=22210, si_status=0, si_utime=0, si_stime=0} ---
rt_sigreturn()                          = 29
read(3, "", 128)                        = 0
close(3)                                = 0
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0, NULL) = 22210
chdir("/home/pramathesh")               = 0
stat("/usr/lib/libreoffice/program/ooenv", 0x7ffde6edd6d0) = -1 ENOENT (No such file or directory)
pipe([3, 4])                            = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7fdbd73a09d0) = 22211
close(4)                                = 0
stat("/usr/local/sbin/grep", 0x7ffde6edd880) = -1 ENOENT (No such file or directory)
--- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=22211, si_status=0, si_utime=0, si_stime=0} ---
rt_sigreturn()                          = -1 ENOENT (No such file or directory)
stat("/usr/local/bin/grep", 0x7ffde6edd880) = -1 ENOENT (No such file or directory)
stat("/usr/sbin/grep", 0x7ffde6edd880)  = -1 ENOENT (No such file or directory)
stat("/usr/bin/grep", 0x7ffde6edd880)   = -1 ENOENT (No such file or directory)
stat("/sbin/grep", 0x7ffde6edd880)      = -1 ENOENT (No such file or directory)
stat("/bin/grep", {st_mode=S_IFREG|0755, st_size=207128, ...}) = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7fdbd73a09d0) = 22212
close(3)                                = 0
close(-1)                               = -1 EBADF (Bad file descriptor)
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0, NULL) = 22211
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 1}], 0, NULL) = 22212
--- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=22212, si_status=1, si_utime=0, si_stime=0} ---
rt_sigreturn()                          = 22212
pipe([3, 4])                            = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7fdbd73a09d0) = 22213
close(4)                                = 0
read(3, "Linux\n", 128)                 = 6
read(3, "", 128)                        = 0
close(3)                                = 0
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0, NULL) = 22213
--- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=22213, si_status=0, si_utime=0, si_stime=0} ---
rt_sigreturn()                          = 22213
execve("/usr/lib/libreoffice/program/oosplash", ["/usr/lib/libreoffice/program/oos"..., "--calc"], [/* 60 vars */]) = 0
brk(0)                                  = 0x15e4000
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a94c000
readlink("/proc/self/exe", "/usr/lib/libreoffice/program/oos"..., 4096) = 37
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/libreoffice/program/tls/x86_64/libXinerama.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/lib/libreoffice/program/tls/x86_64", 0x7ffc6332dce0) = -1 ENOENT (No such file or directory)
open("/usr/lib/libreoffice/program/tls/libXinerama.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/lib/libreoffice/program/tls", 0x7ffc6332dce0) = -1 ENOENT (No such file or directory)
open("/usr/lib/libreoffice/program/x86_64/libXinerama.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/lib/libreoffice/program/x86_64", 0x7ffc6332dce0) = -1 ENOENT (No such file or directory)
open("/usr/lib/libreoffice/program/libXinerama.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/lib/libreoffice/program", {st_mode=S_IFDIR|0755, st_size=28672, ...}) = 0
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=199939, ...}) = 0
mmap(NULL, 199939, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f318a91b000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libXinerama.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360\n\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=10376, ...}) = 0
mmap(NULL, 2105640, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f318a528000
mprotect(0x7f318a52a000, 2093056, PROT_NONE) = 0
mmap(0x7f318a729000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1000) = 0x7f318a729000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libX11.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libX11.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p\210\1\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=1285552, ...}) = 0
mmap(NULL, 3382584, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f318a1ee000
mprotect(0x7f318a323000, 2097152, PROT_NONE) = 0
mmap(0x7f318a523000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x135000) = 0x7f318a523000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libpng12.so.0", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libpng12.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0;\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=153944, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a91a000
mmap(NULL, 2249104, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3189fc8000
mprotect(0x7f3189fed000, 2093056, PROT_NONE) = 0
mmap(0x7f318a1ec000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x24000) = 0x7f318a1ec000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libuno_sal.so.3", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20\10\1\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=332112, ...}) = 0
mmap(NULL, 2449072, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3189d72000
mprotect(0x7f3189dbf000, 2097152, PROT_NONE) = 0
mmap(0x7f3189fbf000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x4d000) = 0x7f3189fbf000
mmap(0x7f3189fc3000, 20144, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f3189fc3000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libc.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libc.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\v\2\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1869392, ...}) = 0
mmap(NULL, 3972864, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f31899a8000
mprotect(0x7f3189b68000, 2097152, PROT_NONE) = 0
mmap(0x7f3189d68000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1c0000) = 0x7f3189d68000
mmap(0x7f3189d6e000, 16128, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f3189d6e000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libXext.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libXext.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\2205\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=73640, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a919000
mmap(NULL, 2169496, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3189796000
mprotect(0x7f31897a7000, 2093056, PROT_NONE) = 0
mmap(0x7f31899a6000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x10000) = 0x7f31899a6000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libxcb.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libxcb.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 \226\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=133584, ...}) = 0
mmap(NULL, 2228904, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3189575000
mprotect(0x7f3189595000, 2093056, PROT_NONE) = 0
mmap(0x7f3189794000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1f000) = 0x7f3189794000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libdl.so.2", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libdl.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\16\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=14592, ...}) = 0
mmap(NULL, 2109712, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3189371000
mprotect(0x7f3189374000, 2093056, PROT_NONE) = 0
mmap(0x7f3189573000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x7f3189573000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libz.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libz.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360\35\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=104824, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a918000
mmap(NULL, 2199880, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3189157000
mprotect(0x7f3189170000, 2093056, PROT_NONE) = 0
mmap(0x7f318936f000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x18000) = 0x7f318936f000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libm.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libm.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240U\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=1084840, ...}) = 0
mmap(NULL, 3174760, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3188e4f000
mprotect(0x7f3188f56000, 2093056, PROT_NONE) = 0
mmap(0x7f3189155000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x106000) = 0x7f3189155000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libpthread.so.0", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/usr/lib/libreoffice/program/libpthread.so.0", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libpthread.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340`\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=142080, ...}) = 0
mmap(NULL, 2217232, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3188c31000
mprotect(0x7f3188c49000, 2097152, PROT_NONE) = 0
mmap(0x7f3188e49000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x18000) = 0x7f3188e49000
mmap(0x7f3188e4b000, 13584, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f3188e4b000
close(3)                                = 0
open("/usr/lib/libreoffice/program/librt.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/usr/lib/libreoffice/program/librt.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/librt.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\220!\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=31680, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a917000
mmap(NULL, 2128864, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3188a29000
mprotect(0x7f3188a30000, 2093056, PROT_NONE) = 0
mmap(0x7f3188c2f000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6000) = 0x7f3188c2f000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libstdc++.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/usr/lib/libreoffice/program/libstdc++.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libstdc++.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 \240\10\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=1566568, ...}) = 0
mmap(NULL, 3675328, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f31886a7000
mprotect(0x7f318881a000, 2093056, PROT_NONE) = 0
mmap(0x7f3188a19000, 49152, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x172000) = 0x7f3188a19000
mmap(0x7f3188a25000, 13504, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f3188a25000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libgcc_s.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/usr/lib/libreoffice/program/libgcc_s.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libgcc_s.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360*\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=92504, ...}) = 0
mmap(NULL, 2188352, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3188490000
mprotect(0x7f31884a6000, 2093056, PROT_NONE) = 0
mmap(0x7f31886a5000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x15000) = 0x7f31886a5000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libXau.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libXau.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\16\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=14456, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a916000
mmap(NULL, 2109720, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f318828c000
mprotect(0x7f318828e000, 2097152, PROT_NONE) = 0
mmap(0x7f318848e000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x7f318848e000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libXdmcp.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libXdmcp.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20\22\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=22592, ...}) = 0
mmap(NULL, 2117800, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3188086000
mprotect(0x7f318808b000, 2093056, PROT_NONE) = 0
mmap(0x7f318828a000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x4000) = 0x7f318828a000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a915000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a914000
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a912000
arch_prctl(ARCH_SET_FS, 0x7f318a912740) = 0
mprotect(0x7f3189d68000, 16384, PROT_READ) = 0
mprotect(0x7f318828a000, 4096, PROT_READ) = 0
mprotect(0x7f318848e000, 4096, PROT_READ) = 0
mprotect(0x7f31886a5000, 4096, PROT_READ) = 0
mprotect(0x7f3189155000, 4096, PROT_READ) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a911000
mprotect(0x7f3188a19000, 40960, PROT_READ) = 0
mprotect(0x7f3188e49000, 4096, PROT_READ) = 0
mprotect(0x7f3188c2f000, 4096, PROT_READ) = 0
mprotect(0x7f318936f000, 4096, PROT_READ) = 0
mprotect(0x7f3189573000, 4096, PROT_READ) = 0
mprotect(0x7f3189794000, 4096, PROT_READ) = 0
mprotect(0x7f318a523000, 4096, PROT_READ) = 0
mprotect(0x7f31899a6000, 4096, PROT_READ) = 0
mprotect(0x7f3189fbf000, 12288, PROT_READ) = 0
mprotect(0x7f318a1ec000, 4096, PROT_READ) = 0
mprotect(0x7f318a729000, 4096, PROT_READ) = 0
mprotect(0x607000, 4096, PROT_READ)     = 0
mprotect(0x7f318a94e000, 4096, PROT_READ) = 0
munmap(0x7f318a91b000, 199939)          = 0
set_tid_address(0x7f318a912a10)         = 22202
set_robust_list(0x7f318a912a20, 24)     = 0
rt_sigaction(SIGRTMIN, {0x7f3188c36bb0, [], SA_RESTORER|SA_SIGINFO, 0x7f3188c41d10}, NULL, 8) = 0
rt_sigaction(SIGRT_1, {0x7f3188c36c40, [], SA_RESTORER|SA_RESTART|SA_SIGINFO, 0x7f3188c41d10}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
getrlimit(RLIMIT_STACK, {rlim_cur=8192*1024, rlim_max=RLIM64_INFINITY}) = 0
brk(0)                                  = 0x15e4000
brk(0x1616000)                          = 0x1616000
open("/usr/lib/locale/locale-archive", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=7216688, ...}) = 0
mmap(NULL, 7216688, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f31879a4000
close(3)                                = 0
futex(0x7f3189fc28c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
lstat("/usr", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/usr/lib", {st_mode=S_IFDIR|0755, st_size=45056, ...}) = 0
lstat("/usr/lib/libreoffice", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/usr/lib/libreoffice/program", {st_mode=S_IFDIR|0755, st_size=28672, ...}) = 0
lstat("/usr/lib/libreoffice/program/oosplash", {st_mode=S_IFREG|0755, st_size=36016, ...}) = 0
rt_sigaction(SIGPIPE, {SIG_IGN, [], SA_RESTORER, 0x7f31899dd2f0}, NULL, 8) = 0
rt_sigaction(SIGTERM, {0x4054b0, [], SA_RESTORER, 0x7f31899dd2f0}, NULL, 8) = 0
lstat("/usr", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/usr/lib", {st_mode=S_IFDIR|0755, st_size=45056, ...}) = 0
lstat("/usr/lib/libreoffice", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/usr/lib/libreoffice/program", {st_mode=S_IFDIR|0755, st_size=28672, ...}) = 0
access("/usr/lib/libreoffice/program/bootstraprc", F_OK) = 0
futex(0x7f3189fc7ae0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
access("/usr/lib/libreoffice/program/oosplashrc", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/lib/libreoffice/program/bootstraprc", O_RDONLY|O_EXCL) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=185, ...}) = 0
mmap(NULL, 65536, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a93c000
mmap(NULL, 65536, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a92c000
mmap(NULL, 65536, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a91c000
mmap(NULL, 8392704, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS|MAP_STACK, -1, 0) = 0x7f31871a3000
mprotect(0x7f31871a3000, 4096, PROT_NONE) = 0
clone(child_stack=0x7f31879a2fb0, flags=CLONE_VM|CLONE_FS|CLONE_FILES|CLONE_SIGHAND|CLONE_THREAD|CLONE_SYSVSEM|CLONE_SETTLS|CLONE_PARENT_SETTID|CLONE_CHILD_CLEARTID, parent_tidptr=0x7f31879a39d0, tls=0x7f31879a3700, child_tidptr=0x7f31879a39d0) = 22214
futex(0x7f3189fc76a0, FUTEX_WAKE_PRIVATE, 1) = 1
mmap(NULL, 65536, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a901000
pread(3, "[ErrorReport]\nErrorReportPort=80"..., 4096, 0) = 185
close(3)                                = 0
getuid()                                = 1000
socket(PF_LOCAL, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 3
connect(3, {sa_family=AF_LOCAL, sun_path="/var/run/nscd/socket"}, 110) = -1 ENOENT (No such file or directory)
close(3)                                = 0
socket(PF_LOCAL, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 3
connect(3, {sa_family=AF_LOCAL, sun_path="/var/run/nscd/socket"}, 110) = -1 ENOENT (No such file or directory)
close(3)                                = 0
open("/etc/nsswitch.conf", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=507, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a91b000
read(3, "# /etc/nsswitch.conf\n#\n# Example"..., 4096) = 507
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x7f318a91b000, 4096)            = 0
open("/usr/lib/libreoffice/program/libnss_compat.so.2", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=199939, ...}) = 0
mmap(NULL, 199939, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f318a8d0000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libnss_compat.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@\23\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=35688, ...}) = 0
mmap(NULL, 2131104, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3186f9a000
mprotect(0x7f3186fa2000, 2093056, PROT_NONE) = 0
mmap(0x7f31871a1000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x7000) = 0x7f31871a1000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libnsl.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libnsl.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360@\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=97224, ...}) = 0
mmap(NULL, 2202584, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3186d80000
mprotect(0x7f3186d97000, 2093056, PROT_NONE) = 0
mmap(0x7f3186f96000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x16000) = 0x7f3186f96000
mmap(0x7f3186f98000, 7128, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f3186f98000
close(3)                                = 0
mprotect(0x7f3186f96000, 4096, PROT_READ) = 0
mprotect(0x7f31871a1000, 4096, PROT_READ) = 0
munmap(0x7f318a8d0000, 199939)          = 0
open("/usr/lib/libreoffice/program/libnss_nis.so.2", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=199939, ...}) = 0
mmap(NULL, 199939, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f318a8d0000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libnss_nis.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0000!\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=47616, ...}) = 0
mmap(NULL, 2143656, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3186b74000
mprotect(0x7f3186b7f000, 2093056, PROT_NONE) = 0
mmap(0x7f3186d7e000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xa000) = 0x7f3186d7e000
close(3)                                = 0
open("/usr/lib/libreoffice/program/libnss_files.so.2", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libnss_files.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0000\"\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=51736, ...}) = 0
mmap(NULL, 2148488, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3186967000
mprotect(0x7f3186973000, 2093056, PROT_NONE) = 0
mmap(0x7f3186b72000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xb000) = 0x7f3186b72000
close(3)                                = 0
mprotect(0x7f3186b72000, 4096, PROT_READ) = 0
mprotect(0x7f3186d7e000, 4096, PROT_READ) = 0
munmap(0x7f318a8d0000, 199939)          = 0
open("/etc/passwd", O_RDONLY|O_CLOEXEC) = 3
lseek(3, 0, SEEK_CUR)                   = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=2594, ...}) = 0
mmap(NULL, 2594, PROT_READ, MAP_SHARED, 3, 0) = 0x7f318a91b000
lseek(3, 2594, SEEK_SET)                = 2594
munmap(0x7f318a91b000, 2594)            = 0
close(3)                                = 0
getuid()                                = 1000
access("/home/pramathesh", F_OK)        = 0
mkdir("/home/pramathesh/.config", 0700) = -1 EEXIST (File exists)
stat("/home/pramathesh/.config", {st_mode=S_IFDIR|0775, st_size=4096, ...}) = 0
getcwd("/home/pramathesh", 4096)        = 17
lstat("/home", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/home", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/home/pramathesh", {st_mode=S_IFDIR|0755, st_size=12288, ...}) = 0
lstat("/home", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/home/pramathesh", {st_mode=S_IFDIR|0755, st_size=12288, ...}) = 0
lstat("/home/pramathesh/.config", {st_mode=S_IFDIR|0775, st_size=4096, ...}) = 0
lstat("/home", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/home/pramathesh", {st_mode=S_IFDIR|0755, st_size=12288, ...}) = 0
lstat("/home/pramathesh/.config", {st_mode=S_IFDIR|0775, st_size=4096, ...}) = 0
lstat("/home/pramathesh/.config/libreoffice", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
lstat("/home", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/home/pramathesh", {st_mode=S_IFDIR|0755, st_size=12288, ...}) = 0
lstat("/home/pramathesh/.config", {st_mode=S_IFDIR|0775, st_size=4096, ...}) = 0
lstat("/home/pramathesh/.config/libreoffice", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
lstat("/home/pramathesh/.config/libreoffice/4", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
access("/tmp", R_OK|W_OK)               = 0
getuid()                                = 1000
socket(PF_LOCAL, SOCK_STREAM, 0)        = 3
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
connect(3, {sa_family=AF_LOCAL, sun_path="/tmp/OSL_PIPE_1000_SingleOfficeIPC_2330d61e291bac313a94745c40353dfd"}, 110) = -1 ECONNREFUSED (Connection refused)
close(3)                                = 0
stat("/proc/version", {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
open("/usr/lib/libreoffice/program/intro-en_IN.png", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/libreoffice/program/intro.png", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=14828, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a91b000
read(3, "\211PNG\r\n\32\n\0\0\0\rIHDR\0\0\2\225\0\0\0\251\10\6\0\0\0zv\306"..., 4096) = 4096
brk(0x1637000)                          = 0x1637000
brk(0x1658000)                          = 0x1658000
read(3, "\31#,#AiY\351-\331A\231\354\34O\0J\344\5(%\227\2404P\231yX\36\274\262\327"..., 4096) = 4096
read(3, "\374=\206]\263\327\315\344\347\323\361\220F\220A\266\333\366\\\342\366\0\305\254e\236d\0264\266\303\10"..., 4096) = 4096
brk(0x167c000)                          = 0x167c000
read(3, "\200\22\317\v>\314\241j\256\36\257\251\"M\316\233\245\220\304)3x]\341\370\365\7\245F%\305$"..., 4096) = 2540
close(3)                                = 0
munmap(0x7f318a91b000, 4096)            = 0
access("/usr/lib/libreoffice/program/sofficerc", F_OK) = 0
access("/usr/lib/libreoffice/program/oosplashrc", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/lib/libreoffice/program/sofficerc", O_RDONLY|O_EXCL) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=789, ...}) = 0
pread(3, "# *DO NOT* CHANGE THIS FILE. IT "..., 4096, 0) = 789
close(3)                                = 0
open("/etc/libreoffice/sofficerc", O_RDONLY) = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
lseek(3, 0, SEEK_SET)                   = 0
read(3, "[Bootstrap]\nHideEula=1\nLogo=1\nNa"..., 512) = 207
read(3, "", 512)                        = 0
lstat("/etc", {st_mode=S_IFDIR|0755, st_size=12288, ...}) = 0
lstat("/etc/libreoffice", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/etc/libreoffice/sofficerc", {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
close(3)                                = 0
open("/etc/libreoffice/sofficerc", O_RDONLY) = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
close(3)                                = 0
open("/etc/libreoffice/sofficerc", O_RDONLY) = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
close(3)                                = 0
open("/etc/libreoffice/sofficerc", O_RDONLY) = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
lseek(3, 0, SEEK_SET)                   = 0
read(3, "[Bootstrap]\nHideEula=1\nLogo=1\nNa"..., 512) = 207
read(3, "", 512)                        = 0
lstat("/etc", {st_mode=S_IFDIR|0755, st_size=12288, ...}) = 0
lstat("/etc/libreoffice", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/etc/libreoffice/sofficerc", {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
close(3)                                = 0
open("/etc/libreoffice/sofficerc", O_RDONLY) = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
close(3)                                = 0
open("/etc/libreoffice/sofficerc", O_RDONLY) = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
close(3)                                = 0
open("/etc/libreoffice/sofficerc", O_RDONLY) = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
lseek(3, 0, SEEK_SET)                   = 0
read(3, "[Bootstrap]\nHideEula=1\nLogo=1\nNa"..., 512) = 207
read(3, "", 512)                        = 0
lstat("/etc", {st_mode=S_IFDIR|0755, st_size=12288, ...}) = 0
lstat("/etc/libreoffice", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/etc/libreoffice/sofficerc", {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
close(3)                                = 0
open("/etc/libreoffice/sofficerc", O_RDONLY) = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
close(3)                                = 0
open("/etc/libreoffice/sofficerc", O_RDONLY) = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
close(3)                                = 0
open("/etc/libreoffice/sofficerc", O_RDONLY) = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
lseek(3, 0, SEEK_SET)                   = 0
read(3, "[Bootstrap]\nHideEula=1\nLogo=1\nNa"..., 512) = 207
read(3, "", 512)                        = 0
lstat("/etc", {st_mode=S_IFDIR|0755, st_size=12288, ...}) = 0
lstat("/etc/libreoffice", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/etc/libreoffice/sofficerc", {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
close(3)                                = 0
open("/etc/libreoffice/sofficerc", O_RDONLY) = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
close(3)                                = 0
open("/etc/libreoffice/sofficerc", O_RDONLY) = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
close(3)                                = 0
open("/etc/libreoffice/sofficerc", O_RDONLY) = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
lseek(3, 0, SEEK_SET)                   = 0
read(3, "[Bootstrap]\nHideEula=1\nLogo=1\nNa"..., 512) = 207
read(3, "", 512)                        = 0
lstat("/etc", {st_mode=S_IFDIR|0755, st_size=12288, ...}) = 0
lstat("/etc/libreoffice", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/etc/libreoffice/sofficerc", {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
close(3)                                = 0
open("/etc/libreoffice/sofficerc", O_RDONLY) = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
close(3)                                = 0
open("/etc/libreoffice/sofficerc", O_RDONLY) = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=207, ...}) = 0
close(3)                                = 0
socket(PF_LOCAL, SOCK_STREAM|SOCK_CLOEXEC, 0) = 3
connect(3, {sa_family=AF_LOCAL, sun_path=@"/tmp/.X11-unix/X0"}, 20) = 0
getpeername(3, {sa_family=AF_LOCAL, sun_path=@"/tmp/.X11-unix/X0"...}, [20]) = 0
uname({sys="Linux", node="niranjan-ub", ...}) = 0
access("/home/pramathesh/.Xauthority", R_OK) = 0
open("/home/pramathesh/.Xauthority", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0600, st_size=312, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a91b000
read(4, "\1\0\0\vniranjan-ub\0\00220\0\22MIT-MAGIC-C"..., 4096) = 312
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x7f318a91b000, 4096)            = 0
getsockname(3, {sa_family=AF_LOCAL, NULL}, [2]) = 0
fcntl(3, F_GETFL)                       = 0x2 (flags O_RDWR)
fcntl(3, F_SETFL, O_RDWR|O_NONBLOCK)    = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"l\0\v\0\0\0\22\0\20\0\0\0", 12}, {"", 0}, {"MIT-MAGIC-COOKIE-1", 18}, {"\0\0", 2}, {"#y\204\t\211\336^f\333\24\363\2411j\302!", 16}, {"", 0}], 6) = 48
recvfrom(3, 0x15f7a80, 8, 0, 0, 0)      = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvfrom(3, "\1\0\v\0\0\0#\1", 8, 0, NULL, NULL) = 8
recvfrom(3, "\360\216\262\0\0\0@\0\377\377\37\0\0\1\0\0\24\0\377\377\1\7\0\0  \10\377\0\0\0\0"..., 1164, 0, NULL, NULL) = 1164
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"b\0\5\0\f\0\0\0BIG-REQUESTS", 20}], 1) = 20
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"\1\0\1\0\0\0\0\0\1\205\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096}], msg_controllen=0, msg_flags=0}, 0) = 32
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\205\0\1\0", 4}], 1)       = 4
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"\1\0\2\0\0\0\0\0\377\377?\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096}], msg_controllen=0, msg_flags=0}, 0) = 32
recvmsg(3, 0x7ffc6332dc80, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"7\0\5\0\0\0@\0\325\0\0\0\10\0\0\0\377\377\377\0\24\0\6\0\325\0\0\0\27\0\0\0"..., 44}, {NULL, 0}, {"", 0}], 3) = 44
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"\1\10\4\0%\0\0\0\37\0\0\0\0\0\0\0\223\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 4096}], msg_controllen=0, msg_flags=0}, 0) = 180
recvmsg(3, 0x7ffc6332dcc0, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"b\0\5\0\t\0@\0", 8}, {"XKEYBOARD", 9}, {"\0\0\0", 3}], 3) = 20
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"\1\0\5\0\0\0\0\0\1\207U\211\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096}], msg_controllen=0, msg_flags=0}, 0) = 32
recvmsg(3, 0x7ffc6332db90, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(3, 0x7ffc6332db90, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\207\0\2\0\1\0\0\0", 8}, {NULL, 0}, {"", 0}], 3) = 8
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"\1\1\6\0\0\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096}], msg_controllen=0, msg_flags=0}, 0) = 32
recvmsg(3, 0x7ffc6332dc40, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(3, 0x7ffc6332dc40, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"b\0\4\0\10\0\0\0", 8}, {"XINERAMA", 8}, {"", 0}], 3) = 16
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"\1\0\7\0\0\0\0\0\1\215\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096}], msg_controllen=0, msg_flags=0}, 0) = 32
recvmsg(3, 0x7ffc6332dc60, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(3, 0x7ffc6332dc60, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"b\0\10\0\27\0\0\0", 8}, {"Generic Event Extension", 23}, {"\0", 1}], 3) = 32
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"\1\0\10\0\0\0\0\0\1\200\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096}], msg_controllen=0, msg_flags=0}, 0) = 32
recvmsg(3, 0x7ffc6332dbc0, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(3, 0x7ffc6332dbc0, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\200\0\2\0\1\0\0\0", 8}, {NULL, 0}, {"", 0}], 3) = 8
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"\1\0\t\0\0\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096}], msg_controllen=0, msg_flags=0}, 0) = 32
recvmsg(3, 0x7ffc6332dc80, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(3, 0x7ffc6332dc80, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\215\5\1\0", 4}, {NULL, 0}, {"", 0}], 3) = 4
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"\1\0\n\0\4\0\0\0\2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 4096}], msg_controllen=0, msg_flags=0}, 0) = 48
recvmsg(3, 0x7ffc6332dd60, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(3, 0x7ffc6332dd60, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\1\0\n\0\1\0@\0\325\0\0\0`\1+\1\225\2\251\0\0\0\0\0\0\0\0\0\n\0\0\0"..., 72}, {NULL, 0}, {"", 0}], 3) = 72
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"\1\0\r\0\0\0\0\0\336\336HH\24\24\0\0\24H\336\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096}], msg_controllen=0, msg_flags=0}, 0) = 32
recvmsg(3, 0x7ffc6332dd80, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(3, 0x7ffc6332dd80, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"T\0\4\0\"\0\0\0\0\365\0\365\0\365+\1", 16}, {NULL, 0}, {"", 0}], 3) = 16
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"\1\0\16\0\0\0\0\0\365\365\365\365\365\365\0\0\365\365\365\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096}], msg_controllen=0, msg_flags=0}, 0) = 32
recvmsg(3, 0x7ffc6332dd80, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(3, 0x7ffc6332dd80, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"7\0\4\0\2\0@\0\1\0@\0\0\0\0\0\22\0\t\0\1\0@\0'\0\0\0\37\0\0\0"..., 192}, {NULL, 0}, {"", 0}], 3) = 192
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"\1\0\23\0\0\0\0\0h\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096}], msg_controllen=0, msg_flags=0}, 0) = 32
recvmsg(3, 0x7ffc6332dd50, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(3, 0x7ffc6332dd50, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\20\1\t\0\32\0@\0_NET_WM_WINDOW_TYPE_SPLA"..., 36}, {NULL, 0}, {"", 0}], 3) = 36
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"\1\0\24\0\0\0\0\0\224\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096}], msg_controllen=0, msg_flags=0}, 0) = 32
recvmsg(3, 0x7ffc6332dd50, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(3, 0x7ffc6332dd50, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\22\0\7\0\1\0@\0h\1\0\0\4\0\0\0 IND\1\0\0\0\224\1\0\0\20\0\6\0"..., 52}, {NULL, 0}, {"", 0}], 3) = 52
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"\1\0\26\0\0\0\0\0\332\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096}], msg_controllen=0, msg_flags=0}, 0) = 32
recvmsg(3, 0x7ffc6332dd60, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(3, 0x7ffc6332dd60, 0)           = -1 EAGAIN (Resource temporarily unavailable)
mmap(NULL, 450560, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a893000
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\22\0\v\0\1\0@\0\332\1\0\0\332\1\0\0 IND\5\0\0\0\17\0\0\0\2\0\0\0"..., 100}, {"3\210=\0&\2345\0&\2345\0&\2345\0&\2345\0&\2345\0&\2345\0&\2345\0"..., 261756}, {"", 0}], 3) = 219264
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\377\377\377\0\377\377\377\0\377\377\377\0\377\377\377\0\377\377\377\0\377\377\377\0\377\377\377\0\377\377\377\0"..., 42592}, {"", 0}], 2) = 42592
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"H\2\304\264\3\0@\0\4\0@\0\225\2F\0\0\0c\0\0\30\0\0", 24}, {"2\207>\0&\2345\0&\2345\0&\2345\0&\2345\0&\2345\0&\2345\0&\2345\0"..., 185080}, {"", 0}], 3) = 185104
munmap(0x7f318a893000, 450560)          = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\2\2\4\0\1\0@\0\1\0\0\0\3\0@\0<\0\2\0\4\0@\0006\0\2\0\3\0@\0"..., 128}, {NULL, 0}, {"", 0}], 3) = 128
recvmsg(3, 0x7ffc6332dcd0, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(3, 0x7ffc6332dcc0, 0)           = -1 EAGAIN (Resource temporarily unavailable)
open("/usr/lib/libreoffice/program/pagein-common", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=330, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a91b000
read(4, "libmergedlo.so\nlibi18nlangtag.so"..., 4096) = 330
open("/usr/lib/libreoffice/program/libmergedlo.so", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=69898656, ...}) = 0
mmap(NULL, 69898656, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f31826bd000
close(5)                                = 0
madvise(0x7f31826bd000, 69898656, MADV_WILLNEED) = 0
munmap(0x7f31826bd000, 69898656)        = 0
open("/usr/lib/libreoffice/program/libi18nlangtag.so", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=113496, ...}) = 0
mmap(NULL, 113496, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a8e5000
close(5)                                = 0
madvise(0x7f318a8e5000, 113496, MADV_WILLNEED) = 0
munmap(0x7f318a8e5000, 113496)          = 0
open("/usr/lib/libreoffice/program/libfwllo.so", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=352960, ...}) = 0
mmap(NULL, 352960, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a8aa000
close(5)                                = 0
madvise(0x7f318a8aa000, 352960, MADV_WILLNEED) = 0
munmap(0x7f318a8aa000, 352960)          = 0
open("/usr/lib/libreoffice/program/libvclplug_genlo.so", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=623264, ...}) = 0
mmap(NULL, 623264, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a868000
close(5)                                = 0
madvise(0x7f318a868000, 623264, MADV_WILLNEED) = 0
munmap(0x7f318a868000, 623264)          = 0
open("/usr/lib/libreoffice/program/libvclplug_gtklo.so", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=612632, ...}) = 0
mmap(NULL, 612632, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a86b000
close(5)                                = 0
madvise(0x7f318a86b000, 612632, MADV_WILLNEED) = 0
munmap(0x7f318a86b000, 612632)          = 0
open("/usr/lib/libreoffice/program/libstocserviceslo.so", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=118192, ...}) = 0
mmap(NULL, 118192, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a8e4000
close(5)                                = 0
madvise(0x7f318a8e4000, 118192, MADV_WILLNEED) = 0
munmap(0x7f318a8e4000, 118192)          = 0
open("/usr/lib/libreoffice/program/libbootstraplo.so", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=459528, ...}) = 0
mmap(NULL, 459528, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a890000
close(5)                                = 0
madvise(0x7f318a890000, 459528, MADV_WILLNEED) = 0
munmap(0x7f318a890000, 459528)          = 0
open("/usr/lib/libreoffice/program/libreglo.so", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=109560, ...}) = 0
mmap(NULL, 109560, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a8e6000
close(5)                                = 0
madvise(0x7f318a8e6000, 109560, MADV_WILLNEED) = 0
munmap(0x7f318a8e6000, 109560)          = 0
open("/usr/lib/libreoffice/program/libstorelo.so", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=137696, ...}) = 0
mmap(NULL, 137696, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a8df000
close(5)                                = 0
madvise(0x7f318a8df000, 137696, MADV_WILLNEED) = 0
munmap(0x7f318a8df000, 137696)          = 0
open("/usr/lib/libreoffice/program/libreflectionlo.so", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=171040, ...}) = 0
mmap(NULL, 171040, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a8d7000
close(5)                                = 0
madvise(0x7f318a8d7000, 171040, MADV_WILLNEED) = 0
munmap(0x7f318a8d7000, 171040)          = 0
open("/usr/lib/libreoffice/program/libuno_cppuhelpergcc3.so.3", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=964432, ...}) = 0
mmap(NULL, 964432, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a815000
close(5)                                = 0
madvise(0x7f318a815000, 964432, MADV_WILLNEED) = 0
munmap(0x7f318a815000, 964432)          = 0
open("/usr/lib/libreoffice/program/libuno_cppu.so.3", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=232448, ...}) = 0
mmap(NULL, 232448, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a8c8000
close(5)                                = 0
madvise(0x7f318a8c8000, 232448, MADV_WILLNEED) = 0
munmap(0x7f318a8c8000, 232448)          = 0
open("/usr/lib/libreoffice/program/libuno_sal.so.3", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=332112, ...}) = 0
mmap(NULL, 332112, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a8af000
close(5)                                = 0
madvise(0x7f318a8af000, 332112, MADV_WILLNEED) = 0
munmap(0x7f318a8af000, 332112)          = 0
open("/usr/lib/libreoffice/program/libucbhelper.so", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=577216, ...}) = 0
mmap(NULL, 577216, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a874000
close(5)                                = 0
madvise(0x7f318a874000, 577216, MADV_WILLNEED) = 0
munmap(0x7f318a874000, 577216)          = 0
open("/usr/lib/libreoffice/program/libcomphelper.so", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=1496600, ...}) = 0
mmap(NULL, 1496600, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a793000
close(5)                                = 0
madvise(0x7f318a793000, 1496600, MADV_WILLNEED) = 0
munmap(0x7f318a793000, 1496600)         = 0
open("/usr/lib/libreoffice/program/types.rdb", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=57362, ...}) = 0
mmap(NULL, 57362, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a8f2000
close(5)                                = 0
madvise(0x7f318a8f2000, 57362, MADV_WILLNEED) = 0
munmap(0x7f318a8f2000, 57362)           = 0
open("/usr/lib/libreoffice/program/services/services.rdb", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=215429, ...}) = 0
mmap(NULL, 215429, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a8cc000
close(5)                                = 0
madvise(0x7f318a8cc000, 215429, MADV_WILLNEED) = 0
munmap(0x7f318a8cc000, 215429)          = 0
open("/usr/lib/libreoffice/program/types/oovbaapi.rdb", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=346137, ...}) = 0
mmap(NULL, 346137, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a8ac000
close(5)                                = 0
madvise(0x7f318a8ac000, 346137, MADV_WILLNEED) = 0
munmap(0x7f318a8ac000, 346137)          = 0
open("/usr/lib/libreoffice/program/libgconfbe1lo.so", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=56296, ...}) = 0
mmap(NULL, 56296, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a8f3000
close(5)                                = 0
madvise(0x7f318a8f3000, 56296, MADV_WILLNEED) = 0
munmap(0x7f318a8f3000, 56296)           = 0
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x7f318a91b000, 4096)            = 0
open("/usr/lib/libreoffice/program/pagein-calc", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=24, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f318a91b000
read(4, "libsclo.so\nlibscuilo.so\n", 4096) = 24
open("/usr/lib/libreoffice/program/libsclo.so", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=15426792, ...}) = 0
mmap(NULL, 15426792, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f3185ab0000
close(5)                                = 0
madvise(0x7f3185ab0000, 15426792, MADV_WILLNEED) = 0
munmap(0x7f3185ab0000, 15426792)        = 0
open("/usr/lib/libreoffice/program/libscuilo.so", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=1080936, ...}) = 0
mmap(NULL, 1080936, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f318a7f9000
close(5)                                = 0
madvise(0x7f318a7f9000, 1080936, MADV_WILLNEED) = 0
munmap(0x7f318a7f9000, 1080936)         = 0
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x7f318a91b000, 4096)            = 0
mmap(NULL, 8392704, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS|MAP_STACK, -1, 0) = 0x7f3186166000
mprotect(0x7f3186166000, 4096, PROT_NONE) = 0
clone(child_stack=0x7f3186965fb0, flags=CLONE_VM|CLONE_FS|CLONE_FILES|CLONE_SIGHAND|CLONE_THREAD|CLONE_SYSVSEM|CLONE_SETTLS|CLONE_PARENT_SETTID|CLONE_CHILD_CLEARTID, parent_tidptr=0x7f31869669d0, tls=0x7f3186966700, child_tidptr=0x7f31869669d0) = 22215
futex(0x1668090, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x16680bc, FUTEX_WAIT_PRIVATE, 1, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x1668090, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x1668004, FUTEX_WAIT_PRIVATE, 1, NULL) = 0
futex(0x1668030, FUTEX_WAKE_PRIVATE, 1) = 0
read(6, "/usr/lib/jvm/java-7-openjdk-amd6"..., 4096) = 221
close(6)                                = 0
pipe([4, 5])                            = 0
clone(child_stack=0x7f3186965fb0, flags=CLONE_VM|CLONE_FS|CLONE_FILES|CLONE_SIGHAND|CLONE_THREAD|CLONE_SYSVSEM|CLONE_SETTLS|CLONE_PARENT_SETTID|CLONE_CHILD_CLEARTID, parent_tidptr=0x7f31869669d0, tls=0x7f3186966700, child_tidptr=0x7f31869669d0) = 22218
futex(0x1667e40, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x1667e68, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x1667e6c, FUTEX_WAIT_PRIVATE, 1, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x1667e40, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x1668004, FUTEX_WAIT_PRIVATE, 1, NULL) = 0
futex(0x1668030, FUTEX_WAKE_PRIVATE, 1) = 0
close(5)                                = 0
futex(0x1667cb4, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 1, {1452864111, 530112000}, ffffffff) = -1 ETIMEDOUT (Connection timed out)
futex(0x1667ce0, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"8\2\4\0\2\0@\0\4\0\0\0\365\365\365\0C\0\5\0\1\0@\0\2\0@\0H\0\275\0"..., 72}, {NULL, 0}, {"", 0}], 3) = 72
recvmsg(3, 0x7ffc6332df60, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(3, 0x7ffc6332df50, 0)           = -1 EAGAIN (Resource temporarily unavailable)
read(4, "10%\n20%\n25%\n30%\n35%\n40%\n", 255) = 24
futex(0x1667cb4, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 3, {1452864111, 780709000}, ffffffff) = -1 ETIMEDOUT (Connection timed out)
futex(0x1667ce0, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"8\2\4\0\2\0@\0\4\0\0\0\365\365\365\0C\0\5\0\1\0@\0\2\0@\0H\0\275\0"..., 72}, {NULL, 0}, {"", 0}], 3) = 72
recvmsg(3, 0x7ffc6332df60, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(3, 0x7ffc6332df50, 0)           = -1 EAGAIN (Resource temporarily unavailable)
read(4, "50%\n55%\n60%\n75%\n80%\n100%\nend\n", 255) = 29
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"<\2\2\0\2\0@\0<\0\2\0\0\0@\0+\0\1\0", 20}, {NULL, 0}, {"", 0}], 3) = 20
poll([{fd=3, events=POLLIN}], 1, 4294967295) = 1 ([{fd=3, revents=POLLIN}])
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"\1\2/\0\0\0\0\0$\0\240\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096}], msg_controllen=0, msg_flags=0}, 0) = 32
recvmsg(3, 0x7ffc6332dfe0, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(3, 0x7ffc6332dfe0, 0)           = -1 EAGAIN (Resource temporarily unavailable)
shutdown(3, SHUT_RDWR)                  = 0
close(3)                                = 0
futex(0x1667cb4, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 5, {1452865136, 31592000}, ffffffff
(soffice:22219): GLib-GObject-WARNING **: /build/glib2.0-ajuDY6/glib2.0-2.46.1/./gobject/gsignal.c:3484: signal name 'selection_changed' is invalid for instance '0x1fbf870' of type 'OOoAtkObjCompTxt'

** (soffice:22219): WARNING **: Unknown event notification 38

** (soffice:22219): WARNING **: Unknown event notification 34

** (soffice:22219): WARNING **: Invalidate all children called


** (soffice:22219): WARNING **: Unknown event notification 34

** (soffice:22219): WARNING **: Unknown event notification 35

** (soffice:22219): WARNING **: Unknown event notification 34

** (soffice:22219): WARNING **: Unknown event notification 35

** (soffice:22219): WARNING **: Unknown event notification 34

** (soffice:22219): WARNING **: Unknown event notification 35

** (soffice:22219): WARNING **: Unknown event notification 38

** (soffice:22219): WARNING **: Unknown event notification 36

** (soffice:22219): WARNING **: Unknown event notification 36

** (soffice:22219): WARNING **: Unknown event notification 36

** (soffice:22219): WARNING **: Unknown event notification 34

** (soffice:22219): WARNING **: Invalidate all children called

) = 0
futex(0x1667ce0, FUTEX_WAKE_PRIVATE, 1) = 0
close(4)                                = 0
futex(0x7f3189fc790c, FUTEX_WAKE_OP_PRIVATE, 1, 1, 0x7f3189fc7908, {FUTEX_OP_SET, 0, FUTEX_OP_CMP_GT, 1}) = 1
futex(0x7f31879a39d0, FUTEX_WAIT, 22214, NULL) = -1 EAGAIN (Resource temporarily unavailable)
munmap(0x7f318a901000, 65536)           = 0
munmap(0x7f318a91c000, 65536)           = 0
exit_group(139)                         = ?
+++ exited with 139 +++
Comment 7 gibi 2016-01-16 12:35:40 UTC
Reproduced with pre-releases/deb/x86_64/LibreOffice_5.1.0.2_Linux_x86-64_deb:

After several drag'n'drop of cells from a tab to another one, I get a pop-up window named "LibreOffice 5.1 - Fatal Error":

multi_type_vector::get#1209: block position not found! (logical pos=18446744073709551590, block size=1, logical size=1048576)

After clicking on "OK", Libreoffice crashed

--
Version: 5.1.0.2
Build ID: ecd3574d51754b043f865cf5bafee286d24db7cc
CPU Threads: 4; OS Version: Linux 3.16; UI Render: default; 
Locale : fr-FR (fr_FR.UTF-8)
Comment 8 raal 2016-01-16 13:31:13 UTC
(In reply to gibi from comment #7)
> Reproduced with pre-releases/deb/x86_64/LibreOffice_5.1.0.2_Linux_x86-64_deb:
> 
Setting to NEW
Comment 9 Markus Mohrhard 2016-04-12 13:33:54 UTC
Well an instruction like several drag and drop is not enough to confirm this. I need detailed steps that are reproducible.

Also this is not a backtrace.
Comment 10 Timur 2016-05-23 15:34:07 UTC
Created attachment 125245 [details]
debug kb.txt

(In reply to gibi from comment #7)
> Reproduced with pre-releases/deb/x86_64/LibreOffice_5.1.0.2_Linux_x86-64_deb:
> 
> After several drag'n'drop of cells from a tab to another one, I get a pop-up
> window named "LibreOffice 5.1 - Fatal Error":
> 
> multi_type_vector::get#1209: block position not found! (logical
> pos=18446744073709551590, block size=1, logical size=1048576)
> 
> After clicking on "OK", Libreoffice crashed

Reproduced also in Windows with 5.2+. I hope debug is useful.
Comment 11 Caolán McNamara 2016-06-19 20:09:52 UTC
There was a fairly recently fixed Drag and drop crash of bug 99733 which might account for some of this
Comment 12 Caolán McNamara 2016-06-19 20:17:57 UTC
Here's one reproducible scenario for me in 5-2. Type F1:H3 into the name box on sheet 1, drag the selection with the mouse to the bottom bar "Bihar" tab, when it switches to that sheet drag the selection to A1 and drop
Comment 13 Caolán McNamara 2016-06-20 10:28:48 UTC
What I see in my case is pView->SetCursor in sc/source/ui/view/gridwin.cxx sets a cursor row of -2. This seems to be because the intent it to place the cursor into the same cell in the dropped range as it was in the selected range. But the code believe that the same pViewData CurX on drop is the same as on drag. When we change sheets during the drag a (fairly random) cell gets selected on the sheet change and the logic doesn't make sense.
Comment 14 Caolán McNamara 2016-06-20 19:28:36 UTC
https://gerrit.libreoffice.org/#/c/26512/ for the crash I can reproduce. There's an attempt to set the cursor on drop to the same cell inside the dropped region as it was in the dragged selection. But the "current cell" is taken at drop time, and on changing from one sheet to another the cursor is changed to the new sheet before the drop takes place
Comment 15 Commit Notification 2016-06-20 23:31:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9b46bbd2446a6c9a0aaab31016536bda4a77294

tdf#96540 dragging between sheets can change the current cursor position

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2016-06-21 08:15:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a347bbc24d2b7b1f520b249a5a20b06643f85c2&h=libreoffice-5-2

tdf#96540 dragging between sheets can change the current cursor position

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Caolán McNamara 2016-06-21 08:38:38 UTC
That seems to be the fundamental problem, now on dragging selections to other sheets I get no crashes while beforehand it was pretty regular

https://gerrit.libreoffice.org/#/c/26538/ for 5-1
Comment 18 Commit Notification 2016-06-29 10:12:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=172d13121ff2afa1a2d2697570394560ae9a6ffa&h=libreoffice-5-1

tdf#96540 dragging between sheets can change the current cursor position

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.